Method: projects.locations.dataStores.sessions.create

创建一个会话。

如果要创建的 Session 已存在,则会返回 ALREADY_EXISTS 错误。

HTTP 请求

POST https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/dataStores/*}/sessions

网址采用 gRPC 转码语法。

路径参数

参数
parent

string

必需。父级数据存储区的完整资源名称。格式:projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStoreId}

查询参数

参数
sessionId

string

可选。要用于会话的 ID,该 ID 将成为会话资源名称的最后一个组成部分。

此值应为 1-63 个字符,有效字符为 /[a-z0-9][a-z0-9-]{0,61}[a-z0-9]/。如果未指定,系统将生成唯一 ID。

请求正文

请求正文包含一个 Session 实例。

响应正文

如果成功,响应正文将包含一个新创建的 Session 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

如需了解详情,请参阅 Authentication Overview

IAM 权限

需要拥有 parent 资源的以下 IAM 权限:

  • discoveryengine.sessions.create

如需了解详情,请参阅 IAM 文档